<template>

    <div id="nav-bar-container">
        <img src="../../assets/icon-left-font-monochrome-white.png" alt="Logo Groupomania" id="logo">
        <router-link to="edit-profile">
        <button class="btn pt-0 px-1" id="user">
            <p id="user-name" class="my-0">{{ currentUser.firstname }} {{ currentUser.lastname }} </p>
            <img :src="currentUser.image" alt="Photo de profil" id="img-user">
            <i v-if="isAdmin" class="fas fa-star"></i>
        </button> 
        </router-link>
    </div>
    
</template>

<script>
export default {
    data(){
        return{
            name:'navBar',
            currentUser:{
                image:'',
                firstname:'',
                lastname:''
                },
        }
    },
    computed:{
        isAdmin(){
            const jwt = require('jsonwebtoken')
            const token = JSON.parse(localStorage.getItem('token'))
            const decodedToken = jwt.verify(token, 'RANDOM_TOKEN_SECRET');
            const isAdmin = decodedToken.isAdmin;
            return isAdmin
        }
    },
    methods:{
        showUser: function(){
            const axios = require('axios')
            const jwt = require('jsonwebtoken')
            const token = JSON.parse(localStorage.getItem('token'))
            const decodedToken = jwt.verify(token, 'RANDOM_TOKEN_SECRET');
            const userId = decodedToken.userId;
            const url = `http://localhost:3000/api/users/${userId}`
            const config = {
                headers:{
                    Authorization: `Bearer ${token}`
                }
            }
            axios.get(url,config)
            .then((res) => {
                // return res.data
                //console.log(res.data.image);
                this.currentUser.image = res.data.image 
                //console.log(this.image);
                this.currentUser.firstname = res.data.firstname 
                this.currentUser.lastname = res.data.lastname 
            })
            .catch(err =>err.message)
        }
    },
    created(){
        this.showUser()
    },
    
    
}
</script>

<style src="./navBar.css">

</style>